Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List Trino clusters
        • 🚧 [Experimental] Get Trino cluster
        • 🚧 [Experimental] Create Trino cluster
        • 🚧 [Experimental] Update Trino cluster
        • 🚧 [Experimental] Delete Trino cluster
        • 🚧 [Experimental] Start Trino cluster
        • 🚧 [Experimental] Stop Trino cluster
        • 🚧 [Experimental] Add REST catalog to Trino cluster
        • 🚧 [Experimental] Delete REST catalog from Trino cluster
        • 🚧 [Experimental] List Trino resource presets
        • 🚧 [Experimental] Get Trino resource preset
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • TrinoCluster
  1. DataLens Public API
  2. DataLens API (англ.)
  3. TrinoClusters
  4. 🚧 [Experimental] List Trino clusters
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • TrinoCluster

🚧 [Experimental] List Trino clusters

Returns a list of Trino clusters available to the current DataLens tenant.

RequestRequest

POST

https://api.datalens.tech/rpc/listTrinoClusters

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "pageSize": 0,
  "pageToken": "example",
  "filter": [
    "example"
  ],
  "collectionId": "example",
  "catalogId": "example"
}

Name

Description

catalogId

Type: string

ID of the REST catalog attached to the Trino clusters.

Min length: 1

Max length: 50

Example: example

collectionId

Type: string

ID of the DataLens collection that contains the Trino clusters.

Min length: 1

Max length: 50

Example: example

filter

Type: string[]

Filter expressions applied to the Trino cluster list.

Example
[
  "example"
]

pageSize

Type: integer

Maximum number of Trino clusters to return. The default is 100.

Min value: 0

pageToken

Type: string

Token for the next page of Trino clusters.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "clusters": [
    {
      "id": "example",
      "clusterId": "example",
      "collectionId": "example",
      "cloudEnvironmentId": "example",
      "name": "example",
      "description": "example",
      "labels": {},
      "config": {
        "trinoVersion": "example",
        "catalogsConfig": [
          {}
        ],
        "coordinatorConfig": {
          "resources": {}
        },
        "workerConfig": {
          "resources": {},
          "scalePolicy": {}
        },
        "retryPolicy": {
          "policy": "POLICY_UNSPECIFIED"
        }
      },
      "health": "HEALTH_UNKNOWN",
      "status": "STATUS_UNKNOWN",
      "coordinatorUrl": "example",
      "entryId": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

clusters

Type: TrinoCluster[]

Trino clusters matching the request.

Example
[
  {
    "id": "example",
    "clusterId": "example",
    "collectionId": "example",
    "cloudEnvironmentId": "example",
    "name": "example",
    "description": "example",
    "labels": {},
    "config": {
      "trinoVersion": "example",
      "catalogsConfig": [
        {
          "catalogId": "example"
        }
      ],
      "coordinatorConfig": {
        "resources": {
          "resourcePresetId": "example"
        }
      },
      "workerConfig": {
        "resources": {
          "resourcePresetId": "example"
        },
        "scalePolicy": {
          "autoScale": {},
          "scaleType": "autoScale"
        }
      },
      "retryPolicy": {
        "policy": "POLICY_UNSPECIFIED"
      }
    },
    "health": "HEALTH_UNKNOWN",
    "status": "STATUS_UNKNOWN",
    "coordinatorUrl": "example",
    "entryId": "example"
  }
]

nextPageToken

Type: string

Token for the next page of Trino clusters.

Example: example

TrinoClusterTrinoCluster

Name

Description

cloudEnvironmentId

Type: string

ID of the associated cloud environment.

Min length: 1

Example: example

clusterId

Type: string

ID of the managed Trino cluster.

Example: example

collectionId

Type: string

ID of the DataLens collection that contains the cluster.

Min length: 1

Example: example

config

Type: object

catalogsConfig

Type: object[]

catalogId

Type: string

ID of the REST catalog.

Min length: 1

Max length: 50

Example: example

REST catalogs attached to the cluster.

Example
[
  {
    "catalogId": "example"
  }
]

coordinatorConfig

Type: object

resources

Type: object

resourcePresetId

Type: string

ID of the Trino resource preset.

Min length: 1

Max length: 50

Example: example

Resources assigned to the coordinator.

Example
{
  "resourcePresetId": "example"
}
Example
{
  "resources": {
    "resourcePresetId": "example"
  }
}

trinoVersion

Type: string

Trino version used by the cluster.

Example: example

workerConfig

Type: object

resources

Type: object

resourcePresetId

Type: string

ID of the Trino resource preset.

Min length: 1

Max length: 50

Example: example

Resources assigned to each worker.

Example
{
  "resourcePresetId": "example"
}

scalePolicy

Type: object

autoScale

Type: object

maxCount

Type: string

Maximum number of worker instances.

Pattern: ^(?:[1-9]|[1-5]\d|6[0-4])$

Example: example

minCount

Type: string

Minimum number of worker instances.

Pattern: ^(?:0|[1-5]?\d|6[0-4])$

Example: example

Example
{
  "minCount": "example",
  "maxCount": "example"
}

scaleType

Type: string

Const: autoScale

Example: example

Example
{
  "autoScale": {
    "minCount": "example",
    "maxCount": "example"
  },
  "scaleType": "autoScale"
}
Example
{
  "resources": {
    "resourcePresetId": "example"
  },
  "scalePolicy": {
    "autoScale": {
      "minCount": "example",
      "maxCount": "example"
    },
    "scaleType": "autoScale"
  }
}

retryPolicy

Type: object | null

Retry policy: QUERY retries a whole query, TASK retries the failed tasks only. Null when not set.

Example
{
  "policy": "POLICY_UNSPECIFIED"
}
Example
{
  "trinoVersion": "example",
  "catalogsConfig": [
    {
      "catalogId": "example"
    }
  ],
  "coordinatorConfig": {
    "resources": {
      "resourcePresetId": "example"
    }
  },
  "workerConfig": {
    "resources": {
      "resourcePresetId": "example"
    },
    "scalePolicy": {
      "autoScale": {
        "minCount": "example",
        "maxCount": "example"
      },
      "scaleType": "autoScale"
    }
  },
  "retryPolicy": {
    "policy": "POLICY_UNSPECIFIED"
  }
}

coordinatorUrl

Type: string

Address of the Trino coordinator.

Example: example

description

Type: string

Description of the Trino cluster.

Example: example

entryId

Type: string

ID of the DataLens entry of the Trino cluster. Empty when the cluster has no entry.

Example: example

health

Type: string

Aggregated health of the Trino cluster.

Enum: HEALTH_UNKNOWN, ALIVE, DEAD, DEGRADED

id

Type: string

ID of the Trino cluster.

Min length: 1

Example: example

labels

Type: object

[additional]

Type: string

Example: example

Trino cluster labels.

Example
{}

name

Type: string

Name of the Trino cluster.

Min length: 1

Example: example

status

Type: string

Current status of the Trino cluster.

Enum: STATUS_UNKNOWN, CREATING, RUNNING, ERROR, STOPPING, STOPPED, STARTING, UPDATING

Example
{
  "id": "example",
  "clusterId": "example",
  "collectionId": "example",
  "cloudEnvironmentId": "example",
  "name": "example",
  "description": "example",
  "labels": {},
  "config": {
    "trinoVersion": "example",
    "catalogsConfig": [
      {
        "catalogId": "example"
      }
    ],
    "coordinatorConfig": {
      "resources": {
        "resourcePresetId": "example"
      }
    },
    "workerConfig": {
      "resources": {
        "resourcePresetId": "example"
      },
      "scalePolicy": {
        "autoScale": {
          "minCount": "example",
          "maxCount": "example"
        },
        "scaleType": "autoScale"
      }
    },
    "retryPolicy": {
      "policy": "POLICY_UNSPECIFIED"
    }
  },
  "health": "HEALTH_UNKNOWN",
  "status": "STATUS_UNKNOWN",
  "coordinatorUrl": "example",
  "entryId": "example"
}

Была ли статья полезна?

Предыдущая
Overview
Следующая
🚧 [Experimental] Get Trino cluster
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»